Page MenuHomePhabricator

Enable zh-my language localization at the Chinese Wikipedia
Closed, ResolvedPublic

Description

https://zh.wikipedia.org/wiki/Wikipedia:%E4%BA%92%E5%8A%A9%E5%AE%A2%E6%A0%88/%E6%8A%80%E6%9C%AF#zh-my

Per local consensus.

Please note: for the Conversion Group, if zh-my option is not present, they would request to use the zh-sg option before zh-cn option and before the zh-hans option.

This would also be (and alter) the language preset of Malaysian editors who did not set their language and Malaysian IP address. For Malaysian IP address readers, their option will turn into zh-my instead of zh-sg.

Event Timeline

There are a very large number of changes, so older changes are hidden. Show Older Changes
Restricted Application added a subscriber: Aklapper. · View Herald TranscriptMay 6 2018, 2:16 PM
1233thehongkonger triaged this task as Normal priority.May 6 2018, 5:20 PM

Note two more things: zh-sg option should change its name to : 新加坡简体 , and zh-my option with the name 大马简体

Pinging active langcom members @Amire80 @jhsoby @StevenJ81 @millosh @GerardM and @Doc_James for possible agreement or veto, if no veto-like comments from them comming, then I can drop my oppose comment (which is shown as the only one in that list)

Liuxinyu970226 raised the priority of this task from Normal to Needs Triage.May 7 2018, 6:28 AM

Anyway, priority should not be changed just by yourself (unless if you are actually working on this task by code level, in this way please assign this task to yourself and submit a gerrit patch for that).

I request a re-evaluation of this task. This task is of high priority at local logic.

Liuxinyu970226 added a comment.EditedMay 23 2018, 11:00 AM
在T193983#4224592中,@1233thehongkonger写道:

I request a re-evaluation of this task. This task is of high priority at local logic.

As a general rule here: Priority reflects reality and does not cause it, so if you really wanna this have a high priority, please please and please 1. assign this task to yourself; 2. submit a gerrit patch; 3. ask the related develop team that if your patch is OK for them or not.

Personally, it's also a wrong case that "Priority" field can be public editable, I suggested to limit the rights to change that, to the Trusted-Contributors membership.

I do not understand the issue. Why do they want this ? What service does this provide?

My google-translated page didn't (obviously) show that there was community consensus on this. But I don't speak Chinese, and @Liuxinyu970226 does. So I can't really argue. What I can't tell is how serious the variants are.

Gerard, I think they're trying to suggest that there are local variants in the language, and that they'd like their "home" language to be their local (Malaysian, or at least Singaporean) version. But as this would only affect the interface and not the content, I'm not sure why it's that huge a deal.

Related to this: Is there an interface translation set available in zh-my (or zh-sg)? And how different is it from zh-cn?

They want this as the Malays would want to get their own Chinese Language Variant, which was completely logical. There is community consensus apart from Liuxinyu970226, who opposed it. This could be seen at the discussion page, in which all but him ( @Liuxinyu970226 ) opposed. Thus I would say there is a community consensus for this problem.

Replying @StevenJ81 : We need to enable local translation set as there are differences seen at local word choice in terms of names, objects and so on. These problem would be solved by enabling one more set dedicated to Malaysia, as the differences in between Malaysian Chinese and Singaporean Chinese is obvious for Malaysian editors.

Replying @GerardM : It provides localization possibility as stated above: some of the names were different in between Singaporean and Malaysian Chinese, thus Malaysian editors would want to add the language variant.

The language variant is enabled at Meta-wiki but is hidden at local settings

This does affect the content as we use NoteTA to alter local content, which is the major reason of enabling the variant

@1233thehongkonger Why do you think enabling interface translations is also good to you? Why you want T51898 to be happened again?

I didn't see the difference. The bug is resolved, and most importantly, the localization is already in place but it is just blacklisted.

The main point is about local content: it can now be correctly convert to a more localized version, which is done by noteTA.

Hoi,
Do I understand that in addition to traditional and simplified we now are
to have content different by country ?
Thanks,

GerardM

The content is slightly different in each language variant because of naming methods in different countries. For example, in Hong Kong, we get a set of British names which are not used in other regions, and we would use noteTA to do the conversion.

This is the case already, which means that adding this new variant would give a higher flexibility for names that are used currently in Malaysia but different at Singapore

So, as consensus exists, please enable the varient zh-my as soon as possible.

Stang: 以上关于启用zh-my的讨论是否已达成共识?
Sanmosa: Stang,应该是的。概观以上之讨论,至少绝大部分人同意启用zh-my参数。
Stang: 现进行为期7天的公示,如有意见请速提出

Ebe123 added a subscriber: Ebe123.May 26 2018, 5:32 PM

As @Wang_Qiliang had mentioned me, I shall translate the conversation into English:
Stang: Is there any consensus made in the discussion of enable zh-my language localization?
Sanmosa: Stang, it shall be certain. As I can see in the discussion above, most of the users joining the discussion agreed enable zh-my language localization.
Stang: Now we start a 7-day publicity, please raise if you have any comments.

Please enable zh-my as soon as possible, and also zh-sg should change its name to 新加坡简体.

Liuxinyu970226 added a comment.EditedJun 11 2018, 9:21 AM

@1233thehongkonger:

the localization is already in place but it is just blacklisted.

[citation needed] because I don't see any zh-my.json files In any core and/or extensions repositories.

@Sanmosa and @Wang_Qiliang

Please enable zh-my as soon as possible

Still waiting langcom approval.

@Liuxinyu970226 Check meta-wiki.
There exists related files

Liuxinyu970226 added a comment.EditedJun 11 2018, 2:12 PM
在T193983#4272239中,@1233thehongkonger写道:

@Liuxinyu970226 Check meta-wiki.
There exists related files

You mean, something like Terms_of_use/Banner/zh-my? If yes then IMHO, T50292

RazeSoldier added a subscriber: RazeSoldier.EditedJun 11 2018, 2:25 PM

According the code logic, zh-my fallback languages are zh-hans, zh-sg and zh-cn. It looks like we need to add zh-my.json.

So do we need Language-Team approval?

在T193983#4272344中,@RazeSoldier写道:

So do we need Language-Team approval?

It needs agreement from Language committee instead

Liuxinyu970226 added a comment.EditedJun 11 2018, 2:56 PM
在T193983#4272299中,@RazeSoldier写道:

According the code logic, zh-my fallback languages are zh-hans, zh-sg and zh-cn. It looks like we need to add zh-my.json.

There are also zh-tw.json and zh-sg.json existing in core i18n directory, but how they are maintained in the past years? If there's no significant reason that at least a community member pledges to maintain differents, and only differents (which is the reason for zh-hk but I don't see it's also for others), then I don't see how unfreezing them are having benefits.

PS: that zh-tw.json, tbh, is also just what zh-hant.json handleable, because contributors of /zh-hant messages are generally from Taiwan instead of HK.

This comment was removed by Liuxinyu970226.

@RazeSoldier The fallback language should be : zh-sg over zh-hans and zh-cn

@1233thehongkonger So the question is now fallbacks rather than json files?

For the title of this task, just remove the line 13705 in InitialiseSettings.php to make zhwiki supports zh-my.

Change 440651 had a related patch set uploaded (by 星耀晨曦; owner: 星耀晨曦):
[operations/mediawiki-config@master] Enable zh-my variant on zhwiki

https://gerrit.wikimedia.org/r/440651

Please assign windows and monitor the deployment process, thanks!

Urbanecm added a subscriber: Urbanecm.

Can do.

Urbanecm triaged this task as Normal priority.Jun 16 2018, 9:28 AM

Can do.

"zh-my" is still blacklisted by Chinese Wikipedia site for unknown reason. How to solve?

The change wasn't enabled. It was just proposed. We must wait for a deployment window, then it'll be deployed.

Can do.

"zh-my" is still blacklisted by Chinese Wikipedia site for unknown reason. How to solve?

It takes about after one week to deploy, because SRE Offsite at week of June 18th.

Any idea of when it will be deployed? Malaysian editors are urging this now.

Definitely not in this week, because this is not a emergency deploy and there's SRE Offsite in this week. It will be probably deployed in the week of June 25. I will announce exact date when I will know it. Best, Martin

cscott added a subscriber: cscott.Jun 22 2018, 8:27 PM

Change 440651 merged by jenkins-bot:
[operations/mediawiki-config@master] Enable zh-my variant on zhwiki

https://gerrit.wikimedia.org/r/440651

hashar added a subscriber: hashar.Jun 26 2018, 1:36 PM

I have deployed the configuration change and managed to set my user preference on https://zh.wikipedia.org/ to use the zh-my variance. So I guess it is all good now ?

Mentioned in SAL (#wikimedia-operations) [2018-06-26T13:36:42Z] <hashar@deploy1001> Synchronized wmf-config/InitialiseSettings.php: Enable zh-my variant on zhwiki - T193983 (duration: 00m 57s)

@hashar Selecting the zh-my variants (next to talk page link) and get page not found. See https://zh.wikipedia.org/zh-my/Wikipedia:%E9%A6%96%E9%A1%B5

RazeSoldier added a comment.EditedJun 26 2018, 1:58 PM

@hashar Selecting the zh-my variants (next to talk page link) and get page not found. See https://zh.wikipedia.org/zh-my/Wikipedia:%E9%A6%96%E9%A1%B5

This requires new patch to do it.

RazeSoldier closed this task as Resolved.Jun 26 2018, 2:01 PM

But "Enable zh-my language localization" is done.

@hashar Selecting the zh-my variants (next to talk page link) and get page not found. See https://zh.wikipedia.org/zh-my/Wikipedia:%E9%A6%96%E9%A1%B5

Separate topic; handled in T198371

Vvjjkkii renamed this task from Enable zh-my language localization at the Chinese Wikipedia to widaaaaaaa.Jul 1 2018, 1:11 AM
Vvjjkkii reopened this task as Open.
Vvjjkkii removed RazeSoldier as the assignee of this task.
Vvjjkkii raised the priority of this task from Normal to High.
Vvjjkkii updated the task description. (Show Details)
Vvjjkkii removed subscribers: gerritbot, Aklapper.
Restricted Application added a subscriber: Dereckson. · View Herald TranscriptJul 1 2018, 1:11 AM
Wong128hk renamed this task from widaaaaaaa to Enable zh-my language localization at the Chinese Wikipedia.Jul 1 2018, 2:32 AM
Wong128hk closed this task as Resolved.
Wong128hk assigned this task to RazeSoldier.
Wong128hk lowered the priority of this task from High to Normal.
Wong128hk updated the task description. (Show Details)
Wong128hk edited subscribers, added: gerritbot, Aklapper; removed: Dereckson.